nvme_mi_admin_get_log_ana_groups(2)

NAME
nvme_mi_admin_get_log_ana_groups - Retrieve Asymmetric Namespace Access groups only log page

SYNOPSIS
int nvme_mi_admin_get_log_ana_groups (nvme_mi_ctrl_t ctrl , bool rae , __u32 len , struct nvme_ana_group_desc *log );

ARGUMENTS

ctrl
    Controller to query

rae Retain asynchronous events

len The allocated length of the log page

log User address to store the ana group log

DESCRIPTION
See struct nvme_ana_group_desc for the definition of the returned structure.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.